"""Function that allows transparent usage of dictzip and ordinary files"""

import gzip, os.path

def open(filename, mode="rb", compresslevel=9):

    if mode[0] == 'r':
        gzipname = filename + '.dz'
        if os.path.exists( gzipname ):
            return gzip.GzipFile( gzipname, mode, compresslevel )
        gzipname = filename + '.gz'
        if os.path.exists( gzipname ):
            return gzip.GzipFile( gzipname, mode, compresslevel )

    return file(filename, mode)



    
